Page MenuHomePhabricator

Write and send pre-release Announcements for MediaWiki 1.27.5/1.29.3/1.30.1/1.31.1
Closed, ResolvedPublic

Description

Previous T180274

Hi all,

Tomorrow we will be issuing a security release to all supported
branches of MediaWiki.

The new releases will be:
1.31.1
1.30.1
1.29.3
1.27.5

This will resolve 4 issues in MediaWiki core, and also includes some
previously committed to git minor security and hardening patches.

Fixes will be available in these respective release branches,
and also master. Tarballs will be available for the above mentioned
point releases as well.

1.29 was due to be previously announced as end of life, and as
such 1.29.3 will be the final security and maintenance release
barring any unforeseen issues.

This security release includes fixes for MediaWiki core.

This may cover T197669: Formalise and Announce REL1_29 EOL too?

Event Timeline

Reedy created this task.Jul 7 2018, 4:51 PM
Reedy created this object with visibility "Custom Policy".
Reedy updated the task description. (Show Details)Jul 7 2018, 4:55 PM
Reedy updated the task description. (Show Details)Jul 7 2018, 5:05 PM
Reedy updated the task description. (Show Details)Sep 15 2018, 2:41 AM
Reedy changed Risk Rating from N/A to default.
Reedy updated the task description. (Show Details)Sep 15 2018, 2:44 AM
Reedy updated the task description. (Show Details)Sep 19 2018, 8:07 PM
Reedy closed this task as Resolved.Sep 19 2018, 9:27 PM
Reedy claimed this task.
Reedy changed the visibility from "Custom Policy" to "Public (No Login Required)".Sep 19 2018, 9:30 PM